Bug 587658 - LIVE session becomes unusable as soon as gpk-update-icon kicks off
LIVE session becomes unusable as soon as gpk-update-icon kicks off
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 09:51 EDT by kapechip-fedorabugzilla
Modified: 2013-01-10 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kapechip-fedorabugzilla 2010-04-30 09:51:35 EDT
Description of problem:

Running LIVE is great until the update notification package initiates
at some random time after boot.  Once that starts all one hears is CDROM
noise as the update gathering process makes the computer unresponsive.
I've left it there for hours w/o regaining response on the computer.
Using "System -> Prefs -> Software Updates" and changing all the fields
to either Never or Nothing was tried.  However it still does not inhibit
the update-gathering process.  As a work-around therefore I execute
"rm -f /usr/share/PackageKit/helpers/yum/*py" .  That at least allows
the computer to be used all day on LIVE (with pesky console warning
popups complaining about failed backend job -- if I knew python then 
the scripts could be edited to exit nicely instead, eg "no updates".)

Version-Release number of selected component (if applicable):

F12, F13-alpha, F13-beta.

How reproducible:

Every time, but the process initiation seems variable, almost random.

Steps to Reproduce:
1. Boot LIVE, login as liveuser.
2. Let the computer sit there until CDROM makes a racket.
3. Wait for yumBackend.py start (takes a bit once gpk-update-icon appears.)
4. Then after 5 minutes or so try to regain control and one cannot.

Actual results:

After hours of this constant CDROM noise thrashing one cannot even make
the cursor move.  Have to power-button the computer off to regain control.

Expected results:

If one is using LIVE, then they are testing out Fedora w/o installing.
How about we allow their computer to stay usable during their entire test.


Additional info:

For one there is a bug in the above-ref'd Software Updates "helper" icon.
Changing its field to Never should disable the process entirely.
That should be fixed.

However for LIVE CD I believe those fields should be installed into the 
ramdisk as already disabled (i.e., set to Never.)  No one will ever look
at the results of its run while they are testing Fedora using LIVE CD,
I believe.

(You might look at disabling crond too, because why is it really needed
in this LIVE CD test-boot scenario.)
Comment 1 Matthias Clasen 2010-04-30 20:56:32 EDT
PackageKit is supposed to be disabled on the live cd already. Something must have broken there.
Comment 2 Richard Hughes 2010-05-03 11:00:34 EDT
I'll look at this tomorrow.
Comment 3 Bug Zapper 2011-06-02 10:41:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 11:59:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.